<?php
namespace Filoblu\Refilo\Console\Command;

use Filoblu\Refilo\Model\Indexer\Pages;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Input\InputOption;
use Symfony\Component\Console\Output\OutputInterface;

/**
 * Class SomeCommand
 */
class ImportPages extends Command
{
    const NAME = 'name';
    protected $indexerBlocks;

    /**
     * ImportBlocks constructor.
     * @param Blocks $indexerBlocks
     * @param string $name
     */
    public function __construct(
        Pages $indexerBlocks,
        string $name = null
    ) {
        $this->indexerBlocks = $indexerBlocks;
        parent::__construct($name);
    }

    /**
     * @inheritDoc
     */
    protected function configure()
    {
        $options = [
            new InputOption(
                self::NAME,
                null,
                InputOption::VALUE_REQUIRED,
                'Name'
            )
        ];

        $this->setName('refilo:sync:pages');
        $this->setDescription('Import Pages Contents');
        $this->setDefinition($options);

        parent::configure();
    }

    /**
     * Execute the command
     *
     * @param InputInterface $input
     * @param OutputInterface $output
     *
     * @return void
     */
    protected function execute(InputInterface $input, OutputInterface $output)
    {

        $this->indexerBlocks->executeFull();

//        if ($name = $input->getOption(self::NAME)) {
//            $output->writeln('<info>Provided name is `' . $name . '`</info>');
//        }

        $output->writeln('<info>Success.</info>');
        //$output->writeln('<error>An error encountered.</error>');
        //$output->writeln('<comment>Some Comment.</comment>');
    }
}
