<?php

namespace Filoblu\Refilo\Model\Indexer\Core;


use Magento\Framework\App\ResourceConnection;

class BaseSqlToMongoAdapter extends AbstractSqlToMongoAdapter
{
    /**
     * @var string
     */
    private $mongoModel;

    /**
     * BaseSqlToMongoAdapter constructor.
     * @param ResourceConnection $resourceConnection
     * @param ClassNameToSqlInterface $classNameToSql
     * @param string $mongoModel
     */
    public function __construct(ResourceConnection $resourceConnection, ClassNameToSqlInterface $classNameToSql, string $mongoModel)
    {
        parent::__construct($resourceConnection);
        $this->mongoModel = $mongoModel;
    }

    /**
     * @inheritDoc
     */
    public function getMongoModel(): string
    {
        return $this->mongoModel;
    }
}
